## phodav 2.5

=== meson_options.txt ===
option('gtk_doc',
       type : 'feature',
       description : 'Generate API documentation with gtk-doc')

option('avahi',
       type : 'feature',
       description : 'Build with avahi/mdns')

option('systemd',
       type : 'feature',
       description : 'Install systemd units/configuration')

option('udev',
       type : 'feature',
       description : 'Install udev rules')

option('build-id',
       type : 'integer',
       value : 0,
       description : 'Build ID')

## phodav 2.1

=== debian/changelog ===
phodav (2.1-1) unstable; urgency=medium

  * New upstream release
    - Drop d/p/0001-Add-version-prefix-to-gettext-and-doc-directories.patch,
      d/p/02-link-chezdav-libsoup.patch: Applied upstream

 -- Laurent Bigonville <bigon@debian.org>  Wed, 18 Jan 2017 09:26:47 +0100

phodav (2.0-1) unstable; urgency=medium

  * Initial release (Closes: #822694)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 17 Oct 2016 23:56:43 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: phodav
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>
Build-Depends: asciidoc,
               debhelper (>= 10),
               gnome-pkg-tools (>= 0.17),
               intltool (>= 0.40.0),
               libattr1-dev,
               libavahi-client-dev,
               libavahi-gobject-dev,
               libglib2.0-dev,
               libsoup2.4-dev (>= 2.48.0),
               libxml2-dev,
               xmlto
Standards-Version: 3.9.8
Section: libs
Homepage: https://wiki.gnome.org/phodav
Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/phodav.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnome/phodav.git

Package: libphodav-2.0-0
Architecture: any
Depends: libphodav-2.0-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-arch: same
Description: WebDAV server implementation using libsoup
 phởdav is a WebDAV server implementation using libsoup (RFC 4918).

Package: libphodav-2.0-dev
Section: libdevel
Architecture: any
Depends: libglib2.0-dev,
         libphodav-2.0-0 (= ${binary:Version}),
         libsoup2.4-dev (>= 2.48.0),
         ${misc:Depends}
Description: WebDAV server implementation using libsoup (development files)
 phởdav is a WebDAV server implementation using libsoup (RFC 4918).
 .
 This package contains the development files.

Package: libphodav-2.0-common
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-arch: foreign
Description: WebDAV server implementation using libsoup (common files)
 phởdav is a WebDAV server implementation using libsoup (RFC 4918).
 .
 This package contains the translations files.

Package: spice-webdavd
Section: utils
Priority: extra
Architecture: any
Depends: avahi-daemon, ${misc:Depends}, ${shlibs:Depends}
Description: daemon to proxy WebDAV request to the Spice virtio channel
 phởdav is a WebDAV server implementation using libsoup (RFC 4918).
 .
 This package contains a daemon to proxy WebDAV request to the Spice virtio
 channel.

Package: chezdav
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: simple tool to share a directory with WebDAV
 phởdav is a WebDAV server implementation using libsoup (RFC 4918).
 .
 This package contains a simple tool to share a directory with WebDAV. The
 service is announced over mDNS for clients to discover.

=== debian/watch ===
version=4

http://ftp.gnome.org/pub/GNOME/sources/phodav/([0-9.]+)/phodav-(.*)\.tar\.xz debian uupdate

## phodav 2.2

=== debian/changelog ===
phodav (2.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:20:14 +0800

phodav (2.2-3) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11
  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 11:36:10 -0500

phodav (2.2-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control.in: Bump Standards-Version to 4.0.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 30 Jun 2017 09:43:01 +0200

phodav (2.2-1) experimental; urgency=medium

  * New upstream version 2.2
  * Bump glib build-dependency to >= 2.51 according to configure.ac changes.
    - upstream now uses GUuid from glib.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 09 Mar 2017 11:21:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,34 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: phodav
+Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Laurent Bigonville <bigon@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: asciidoc,
-               debhelper (>= 10),
+               debhelper (>= 11),
                gnome-pkg-tools (>= 0.17),
                intltool (>= 0.40.0),
                libattr1-dev,
                libavahi-client-dev,
                libavahi-gobject-dev,
-               libglib2.0-dev,
+               libglib2.0-dev (>= 2.51),
                libsoup2.4-dev (>= 2.48.0),
                libxml2-dev,
                xmlto
-Standards-Version: 3.9.8
-Section: libs
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/gnome-team/phodav
+Vcs-Git: https://salsa.debian.org/gnome-team/phodav.git
 Homepage: https://wiki.gnome.org/phodav
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/phodav.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnome/phodav.git
 
 Package: libphodav-2.0-0
 Architecture: any
 Depends: libphodav-2.0-common (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Multi-arch: same
+Multi-Arch: same
 Description: WebDAV server implementation using libsoup
  phởdav is a WebDAV server implementation using libsoup (RFC 4918).
 
@@ -47,7 +47,7 @@
 Package: libphodav-2.0-common
 Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Multi-arch: foreign
+Multi-Arch: foreign
 Description: WebDAV server implementation using libsoup (common files)
  phởdav is a WebDAV server implementation using libsoup (RFC 4918).
  .
@@ -55,7 +55,6 @@
 
 Package: spice-webdavd
 Section: utils
-Priority: extra
 Architecture: any
 Depends: avahi-daemon, ${misc:Depends}, ${shlibs:Depends}
 Description: daemon to proxy WebDAV request to the Spice virtio channel

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- --with-systemdsystemunitdir=/lib/systemd/system --with-udevdir=/lib/udev

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_install:
	find debian/tmp -name '*.a' -print -delete
	find debian/tmp -name '*.la' -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

## phodav 2.3

=== debian/changelog ===
phodav (2.3-2) unstable; urgency=medium

  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * Bump Standards-Version to 4.4.0
  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 14 Sep 2019 21:01:04 -0400

phodav (2.3-1) experimental; urgency=medium

  * New upstream release
  * Build with meson
  * Build-Depend on gtk-doc-tools
  * Build-Depend on systemd until phodav again offers systemd support
    without needing the systemd pkgconfig file installed.
  * Build-Depend on udev for the same reason

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Mar 2019 08:44:14 -0400

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,20 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: asciidoc,
-               debhelper (>= 11),
-               gnome-pkg-tools (>= 0.17),
-               intltool (>= 0.40.0),
+               debhelper-compat (= 12),
+               dh-sequence-gnome,
+               gtk-doc-tools,
                libattr1-dev,
                libavahi-client-dev,
                libavahi-gobject-dev,
                libglib2.0-dev (>= 2.51),
                libsoup2.4-dev (>= 2.48.0),
                libxml2-dev,
+               meson (>= 0.49),
+               systemd,
+               udev,
                xmlto
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/phodav
 Vcs-Git: https://salsa.debian.org/gnome-team/phodav.git
 Homepage: https://wiki.gnome.org/phodav

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dauto_features=enabled

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_missing:
	dh_missing --fail-missing

## phodav 2.4

=== debian/changelog ===
phodav (2.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/control.in: Set Rules-Requires-Root: no
  * debian/control.in: Add libglib2.0-doc and libsoup2.4-doc to the build-deps
  * Only require systemd and udev on linux architectures and adjust installed
    files on non-linux ones

 -- Laurent Bigonville <bigon@debian.org>  Sun, 15 Mar 2020 11:38:05 +0100

=== debian/control ===
--- 
+++ 
@@ -15,13 +15,16 @@
                libavahi-client-dev,
                libavahi-gobject-dev,
                libglib2.0-dev (>= 2.51),
+               libglib2.0-doc,
                libsoup2.4-dev (>= 2.48.0),
+               libsoup2.4-doc,
                libxml2-dev,
                meson (>= 0.49),
-               systemd,
-               udev,
+               systemd [linux-any],
+               udev [linux-any],
                xmlto
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/phodav
 Vcs-Git: https://salsa.debian.org/gnome-team/phodav.git
 Homepage: https://wiki.gnome.org/phodav

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

ifneq ($(DEB_HOST_ARCH_OS),linux)
  DISABLE_SYSTEMD=-Dsystemd=disabled -Dudev=disabled
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dauto_features=enabled $(DISABLE_SYSTEMD)

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_missing:
	dh_missing --fail-missing

override_dh_install:
	grep -E -v 'lib/systemd|lib/udev' debian/spice-webdavd.install > debian/spice-webdavd.install.kfreebsd
	grep -E -v 'lib/systemd|lib/udev' debian/spice-webdavd.install > debian/spice-webdavd.install.hurd
	dh_install

override_dh_clean:
	rm -f debian/spice-webdavd.install.kfreebsd
	rm -f debian/spice-webdavd.install.hurd
	dh_clean

## phodav 2.5

=== debian/changelog ===
phodav (2.5-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum meson to 0.50
  * Bump debhelper-compat to 13
  * debian/libphodav-2.0-0.symbols: Add new symbols
  * Add debian/docs to install NEWS and README.md

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 04 Oct 2020 08:58:06 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: asciidoc,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-sequence-gnome,
                gtk-doc-tools,
                libattr1-dev,
@@ -19,7 +19,7 @@
                libsoup2.4-dev (>= 2.48.0),
                libsoup2.4-doc,
                libxml2-dev,
-               meson (>= 0.49),
+               meson (>= 0.50),
                systemd [linux-any],
                udev [linux-any],
                xmlto

=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,6 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 override_dh_install:
 	grep -E -v 'lib/systemd|lib/udev' debian/spice-webdavd.install > debian/spice-webdavd.install.kfreebsd
 	grep -E -v 'lib/systemd|lib/udev' debian/spice-webdavd.install > debian/spice-webdavd.install.hurd

=== debian/watch ===
version=4
https://download.gnome.org/sources/@PACKAGE@/([0-9.]+)/ \
	@PACKAGE@@ANY_VERSION@\.tar\.xz

## phodav 3.0

=== debian/changelog ===
phodav (3.0-9) unstable; urgency=medium

  * spice-webdavd: Handle usrmerge for systemd & udev files (Closes: #1073772)
  * Opt into debhelper compat 14
  * Add lintian overrides for false positives triggered by switch to compat 14
  * Stop using debian/control.in and dh-sequence-gnome
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 18 Jun 2024 18:25:36 -0400

phodav (3.0-8) unstable; urgency=medium

  * debian/rules: Specify systemdsystemunitdir

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Mar 2023 17:33:09 -0500

phodav (3.0-7) unstable; urgency=medium

  * Fix non-Linux build by simplifying debian/rules

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Mar 2023 15:16:09 -0500

phodav (3.0-6) unstable; urgency=medium

  * Drop obsolete Build-Depends on systemd & dev
  * Add debian/upstream/metadata
  * Avoid explicitly specifying -Wl,--as-needed linker flag
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Mar 2023 14:22:43 -0500

phodav (3.0-5) unstable; urgency=medium

  * Team upload.
  * chezdav recommends avahi-daemon (Closes: #1027308)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 31 Dec 2022 22:08:55 +0100

phodav (3.0-4) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 02 Aug 2022 15:48:58 -0400

phodav (3.0-3) experimental; urgency=medium

  * Have libphodav-3.0-dev depend on libxml2-dev as required by pkgconfig

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 16 Jul 2022 17:37:44 +0200

phodav (3.0-2) experimental; urgency=medium

  * Have libphodav-3.0-dev depend on libsoup-3.0-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 16 Jul 2022 17:09:40 +0200

phodav (3.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on libsoup3 instead of libsoup2.4
  * Rename packages for API bump

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 01 Jul 2022 15:55:12 -0400

=== debian/control ===
Source: phodav
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
X-DH-Compat: 14
Build-Depends: asciidoc,
               debhelper (>= 13.15),
               gtk-doc-tools,
               libattr1-dev,
               libavahi-client-dev,
               libavahi-gobject-dev,
               libglib2.0-dev (>= 2.51),
               libglib2.0-doc,
               libsoup-3.0-dev,
               libsoup-3.0-doc,
               libxml2-dev,
               meson (>= 0.50),
               xmlto
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/phodav
Vcs-Git: https://salsa.debian.org/gnome-team/phodav.git
Homepage: https://wiki.gnome.org/phodav

Package: libphodav-3.0-0
Architecture: any
Depends: libphodav-3.0-common (>= ${source:Version})
Multi-Arch: same
Description: WebDAV server implementation using libsoup
 phởdav is a WebDAV server implementation using libsoup (RFC 4918).

Package: libphodav-3.0-dev
Section: libdevel
Architecture: any
Depends: libglib2.0-dev,
         libphodav-3.0-0 (= ${binary:Version}),
         libsoup-3.0-dev (>= 2.48.0),
         libxml2-dev
Description: WebDAV server implementation using libsoup (development files)
 phởdav is a WebDAV server implementation using libsoup (RFC 4918).
 .
 This package contains the development files.

Package: libphodav-3.0-common
Architecture: all
Multi-Arch: foreign
Description: WebDAV server implementation using libsoup (common files)
 phởdav is a WebDAV server implementation using libsoup (RFC 4918).
 .
 This package contains the translations files.

Package: spice-webdavd
Section: utils
Architecture: any
Depends: avahi-daemon
Description: daemon to proxy WebDAV request to the Spice virtio channel
 phởdav is a WebDAV server implementation using libsoup (RFC 4918).
 .
 This package contains a daemon to proxy WebDAV request to the Spice virtio
 channel.

Package: chezdav
Section: net
Architecture: any
Recommends: avahi-daemon
Description: simple tool to share a directory with WebDAV
 phởdav is a WebDAV server implementation using libsoup (RFC 4918).
 .
 This package contains a simple tool to share a directory with WebDAV. The
 service is announced over mDNS for clients to discover.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dsystemdsystemunitdir=/usr/lib/systemd/system \
		-Dudevrulesdir=/usr/lib/udev/rules.d
